Rated 5 out of 5 stars

The unoffficial version does not work on FF 3.6, could jbergami kindly give us a version for 3.6? XDDDD